package com.gci.cdenv.data.consume.app.modules.common.fence;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Objects;

/**
 * the point
 * @author 10724
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public final class Coordinate {
    private double longitude;
    private double latitude;

    @Override
    public boolean equals(Object obj) {
        if (this == obj){
            return true;
        }
        if (obj == null || getClass() != obj.getClass()){
            return false;
        }
        Coordinate coordinate = (Coordinate) obj;
        return Double.compare(coordinate.latitude, latitude) == 0 &&
                Double.compare(coordinate.longitude, longitude) == 0;
    }

    @Override
    public int hashCode() {
        // Implement hashCode method based on your requirements
        return Objects.hash(latitude, longitude);
    }
}
