package com.gci.cdenv.data.consume.app.modules.gps.constant;

/**
 * @author 24642
 */

public enum ChargeStatus {
    PARKING_CHARGING(1, "停车充电"),
    DRIVING_CHARGING(2, "行驶充电"),
    NOT_CHARGING(3, "未充电"),
    CHARGING_COMPLETED(4, "充电完成"),
    INVALID(-1, "无效"),
    ABNORMAL(-2, "异常");

    private final int code;
    private final String description;

    ChargeStatus(int code, String description) {
        this.code = code;
        this.description = description;
    }

    public int getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }
}
