package com.gci.cdenv.data.consume.app.modules.gps.constant;

/**
 * @author 24642
 */

public enum ProjectHandleType {
    /**
     * 不同项目不同处理 type 1-redis 2-推送外部接口
     */
    TTSZ("1", "1692520325662355457", "天投市政项目"),
    CHCF("2","1692520325662355456","崇环城服项目");

    private final String type;

    private final String projectId;

    private final String projectName;

    ProjectHandleType(String type, String projectId, String projectName) {
        this.type = type;
        this.projectId = projectId;
        this.projectName = projectName;
    }


    public String getProjectId() {
        return projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public String getType() {
        return type;
    }


}
