package com.gci.cdenv.data.consume.app.modules.gps.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 司机打卡
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-13
 */
@Getter
@Setter
public class DriverSignInDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;

    private String projectId;

    private String vehicleId;

    private String plateNumber;

    private Date signInTime;

    //类型 1-签到 2-签退，实际上只取签到数据
    private String signInType;

    private String signInAddress;

    private String driverId;

    private String driverName;

    private String opType;

    private String sysOrgCode;

}
