package com.gci.cdenv.data.consume.app.modules.gps.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class VehicleThreeElectric {

    /**
     * vin码
     */
    @JSONField(name = "VIN")
    private String vin;
    /**
     * 采集时间
     */
    @JSONField(name = "time")
    private String time;
    /**
     * 来源 1-808 2-eic 3-1078
     */
    @JSONField(name = "source")
    private int source;

    /**
     * 终端直连 1-是 0-否
     */
    @JSONField(name = "terminal_conn")
    private int terminalConn;

    /**
     * vehicle 车辆
     */
    @JSONField(name = "vehicle")
    private VehicleDTO vehicle;
    /**
     * engine 发动机
     */
    @JSONField(name = "engine")
    private EngineDTO engine;
    /**
     * extremeData 极值
     */
    @JSONField(name = "extremeData")
    private ExtremeDataDTO extremeData;
    /**
     * alarmData 报警
     */
    @JSONField(name = "alarmData")
    private AlarmDataDTO alarmData;
    /**
     * location 车辆位置
     */
    @JSONField(name = "location")
    private LocationDTO location;
    /**
     * electricMotor 驱动电机
     */
    @JSONField(name = "electricMotor")
    private List<ElectricMotorDTO> electricMotor;
}
