package com.gci.cdenv.data.consume.app.modules.common;

/**
 * @author lyz
 * @date 2023/8/30 19:46
 */
public class RedisKey {
    /**
     * gps队列名称
     */
    public static final String GPS_QEUENAME = "GCI_JT808_GPS";

    /**
     * 外部接收gps信息redis队列
     */
    public static final String OUTER_GPS_QEUENAME = "GCI_OUTER_GPS";

    /**
     * eic三电数据队列名称
     */
    public static final String EIC_QEUENAME = "GCI_EIC_MSG";

    /**
     * ADAS主动安全数据队列
     */
    public static final String GCI_SB_ADAS = "GCI_SB_ADAS";

    /**
     * DSM辅助驾驶数据队列
     */
    public static final String GCI_SB_DSM = "GCI_SB_DSM";

    /**
     *主动安全事件文件数据队列
     */
    public static final String GCI_SB_FILE = "GCI_SB_FILE";

    /**
     * 当前是否在围栏内
     */
    public static final String INSIDE_FENCE = "vehicle:insideFence:";
    /**
     * 连续在围栏内的次数
     */
    public static final String CONSECUTIVE_INSIDE_COUNT = "vehicle:consecutiveInsideCount:";
    /**
     * 连续在围栏外的次数
     */
    public static final String CONSECUTIVE_OUT_COUNT = "vehicle:consecutiveOutsideCount:";
    /**
     * 连续超速次数
     */
    public static final String GIS_CONSECUTIVE_SPEED_COUNT = "gis:consecutiveSpeedCount:";
    /**
     * 是否正在充电
     */
    public static final String VEHICLE_IS_CHARGE = "vehicle:is:charge:";
    /**
     * 充电记录 根据vin码区分
     */
    public static final String VEHICLE_CHARGE_LOG = "vehicle:log:chargeLog:";
    /**
     * 车机异常的 是否有异常
     */
    public static final String VEHICLE_IS_FAULT_ALARM = "vehicle:is:alarm:";
    /**
     * 车机异常的 根据vin和具体类型区分
     */
    public static final String VEHICLE_FAULT_ALARM = "vehicle:log:alarmLog:";
    /**
     * 围栏告警、超速告警实体对象推业务平台
     */
    public static final String FENCE_SPEED_ALARM_BEAN = "FENCE_SPEED_ALARM";

    /**
     * 围栏生成的车辆告警记录得分
     */
    public static final String FENCE_VEHICLE_SCORE = "fence:vehicle:score";
    /**
     * 车辆围栏
     */
    public static final String VEHICLE_FENCE_KEY = "vehicle:fence:";

    /**
     * 实时车辆信息缓存
     */
    public static final String VEHICLE_REAL_INFO = "vehicle:real:info:";
    /**
     * runningbus更新时间
     */
    public static final String VEHICLE_RUNNINGBUS_TIME = "vehicle:runningbus:time:";

    /**
     * 获取当前车辆绑定的司机
     */
    public static final String VEHICLE_BIND_DRIVER = "vehicle:bind:driver:";

    /**
     * 成都市环卫固废智慧监管服务平台token
     */
    public static final String CDGFHW_TOKEN = "cdgfhw:token";

    /**
     * 车辆阈值前缀
     */
    public static final String THRESHOLD = "THRESHOLD:";
}
