package com.gci.cdenv.data.consume.app.modules.gps.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 主动安全告警文件对象
 * @author lyz
 * @date 2023/8/30 15:41
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ActiveSafetyFileDto {
    /**
     * 报警事件标识
     */
    private String warnNo;

    private List<FileInfoDto> fileList;

}
