package com.gci.cdenv.data.consume.app.modules.gps.dto;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * @author lyz
 * @date 2023/9/6 9:41
 */
@Data
public  class Alarm {
    /**
     * 告警类型 1-围栏 2-超速
     */
    public Integer type;
    /**
     * 告警标志  1-开始 2-结束
     */
    public Integer flag;

    /**
     * 采集时间
     */
    public Date time;

    /**
     * 实体对象，根据告警类型不同而不同
     */
    private JSONObject data;
}
