package com.gci.cdenv.data.consume.app.modules.gps.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class ExtremeDataDTO {
    /**
     * 最高电压电池子系统号
     */
    @JSONField(name = "maxVoltageSubsystemNumber")
    private String maxVoltageSubsystemNumber;
    /**
     * 最低电压电池子系统号
     */
    @JSONField(name = "minVoltageSubsystemNumber")
    private String minVoltageSubsystemNumber;
    /**
     * 最高电压电池单体代号
     */
    @JSONField(name = "maxVoltageCellNumber")
    private String maxVoltageCellNumber;
    /**
     * 最低电压电池单体代号
     */
    @JSONField(name = "minVoltageCellNumber")
    private String minVoltageCellNumber;
    /**
     * 电池单体电压最高值(V)
     */
    @JSONField(name = "maxCellVoltage")
    private String maxCellVoltage;
    /**
     * 电池单体电压最低值(V)
     */
    @JSONField(name = "minCellVoltage")
    private String minCellVoltage;
    /**
     * 最高温度子系统号
     */
    @JSONField(name = "maxTemperatureSubsystemNumber")
    private String maxTemperatureSubsystemNumber;
    /**
     * 最低温度子系统号
     */
    @JSONField(name = "minTemperatureSubsystemNumber")
    private String minTemperatureSubsystemNumber;
    /**
     * 最高温度探针序号
     */
    @JSONField(name = "maxTemperatureProbeNumber")
    private String maxTemperatureProbeNumber;
    /**
     * 最低温度探针序号
     */
    @JSONField(name = "minTemperatureProbeNumber")
    private String minTemperatureProbeNumber;
    /**
     * 最高温度值(℃)
     */
    @JSONField(name = "maxTemperature")
    private String maxTemperature;
    /**
     * 最低温度值(℃)
     */
    @JSONField(name = "minTemperature")
    private String minTemperature;
}