package com.gci.cdenv.data.consume.app.modules.gps.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author lyz
 * @date 2023/9/6 9:50
 */
@Data
public class FenceAlarm{
    /**
     * id
     */
    private String id;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 围栏名称
     */
    private String name;

    /**
     * 围栏id
     */
    private String fenceId;
    /**
     * 车牌号
     */
    private String plateNumber;
    /**
     * 驾驶员名称
     */
    private String driverName;
    /**
     * 驾驶员标识
     */
    private String driverId;
    /**
     * 项目id
     */
    private String projectId;
    /**
     * 围栏类型 1-停场 2-行驶
     */
    private Integer fenceType;
    /**
     * 告警时间
     */
    private Date alarmTime;
    /**
     * 经度
     */
    private BigDecimal lon;
    /**
     * 纬度
     */
    private BigDecimal lat;
    /**
     * 高德经度
     */
    private BigDecimal gdLon;
    /**
     * 高德纬度
     */
    private BigDecimal gdLat;

}
