package com.gci.cdenv.data.consume.app.modules.gps.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Objects;

@Data
public class LocationDTO {
    /**
     * lon
     */
    @JSONField(name = "lon")
    private BigDecimal lon;
    /**
     * lat
     */
    @JSONField(name = "lat")
    private BigDecimal lat;

    /**
     * 是否有效 默认无效 1-无效 0-有效
     */
    @JSONField(name = "is_valid")
    private Integer isValid = 1;

    public BigDecimal getLat(){
        return Objects.nonNull(lat)?lat.setScale(6,BigDecimal.ROUND_HALF_UP):null;
    }

    public BigDecimal getLon(){
        return Objects.nonNull(lon)?lon.setScale(6,BigDecimal.ROUND_HALF_UP):null;
    }
}
