package com.gci.cdenv.data.consume.app.modules.gps.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
@TableName("tb_gis_speeding_threshold")
public class GisSpeedingThreshold implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    private String sysOrgCode;

    private Date createTime;

    private Date updateTime;

    private String createBy;

    private String updateBy;

    /**
     * 所属项目
     */
    private String projectId;

    /**
     * 车辆种类
     */
    private String vehicleType;

    /**
     * 阈值规则类型
     */
    private String thresholdType;

    /**
     * 阈值速度 km/h
     */
    private Integer thresholdSpeed;

    /**
     * 阈值规则名称
     */
    private String thresholdName;

    /**
     * 是否启用
     */
    private Integer isValid;

    /**
     * 是否超速
     */
    @TableField(exist = false)
    private Boolean isSpeed;
}